Skip to main content
GET
Get a trade

Authorizations

Authorization
string
header
required

Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are requred to make a successful request.

Path Parameters

tradeId
string<uuid>
required

The ID of the trade. System-generated unique identifier of the resource.

Example:

"c4d1da72-111e-4d52-bdbf-2e74a2d803d5"

Query Parameters

type
enum<string>
required

The type of trader.

Available options:
maker,
taker

Response

200 - application/json

Trade retrieved successfully

Detailed trade information including contract transactions

id
string<uuid>

System-generated unique identifier of the resource.

Example:

"c4d1da72-111e-4d52-bdbf-2e74a2d803d5"

contractTradeId
string

The ID of the trade on the contract.

Pattern: ^[0-9]+$
Example:

"24"

status
enum<string>
Available options:
pending,
complete,
confirmed,
pending_settlement,
taker_funded,
maker_funded,
refunded,
breaching,
breached
rate
number<double>

Exchange rate for the quote

Example:

0.915

from
object

Currency and amount details for a foreign exchange transaction

to
object

Currency and amount details for a foreign exchange transaction

fee
string

Trade fee charged to the requesting party (matching the type parameter — taker or maker), denominated in the to currency.

Pattern: ^\d+(?:\.\d{1,6})?$
Example:

"100.00"

createDate
string<date-time>

Date and time when the resource was created

Example:

"2023-01-01T12:04:05Z"

updateDate
string<date-time>

Date and time when the resource was last updated

Example:

"2023-01-01T12:04:05Z"

quoteId
string<uuid>

System-generated unique identifier of the resource.

Example:

"c4d1da72-111e-4d52-bdbf-2e74a2d803d5"

collateral
string

Collateral amount required for the trade, denominated in the from currency.

Pattern: ^\d+(?:\.\d{1,6})?$
Example:

"100.00"

settlementTransactionHash
string | null

The hash of the settlement transaction on-chain.

Pattern: ^0x[a-fA-F0-9]{64}$
Example:

"0xf97c6a87511583d5c7e8e72f8e1fe38bfd24350edda78fddbe67125f3cf0a122"

maturity
string<date-time> | null

The date when the trade has matured.

Example:

"2023-01-01T12:04:05Z"

tenor
enum<string>

The settlement schedule for the trade

Available options:
instant,
hourly,
daily
completeDate
string<date-time> | null

The time/date the trade was completed.

Example:

"2023-01-01T12:04:05Z"

signerAddress
string | null

The wallet address of the signer.

Example:

"0xf0e7ccf7817b30fa0dd6bdeaea3ad54c140647b2"

contractTransactions
object

Collection of contract functions associated with a trade